function data = datagenerator(length, symbols, modulation)

switch modulation
    case 'QAM'
        M = symbols;
        L = sqrt(M);
        for i = 1: length
           I_symbols(i) = (floor(rand*L)*2-(L-1))/sqrt(5);
           Q_symbols(i) = (floor(rand*L)*2-(L-1))/sqrt(5);
        end
    case 'PSK'
        % Special constellation for KDA
        for i = 1: length
            fortegn = (-1)^(floor(rand*2));
            I_symbols(i) = fortegn*3/sqrt(5);
            Q_symbols(i) = fortegn*1/sqrt(5);
        end
end

data = I_symbols + 1i * Q_symbols;
