function ret = pulseshape(T,a,t_res,g_width)
% Square root raised cosine filter
t = -g_width*T:t_res:(g_width*T);

g_d = sin((1-a)*pi*t/T) + (4*a*t/T).*cos((1+a)*pi*t/T);
g_n = (1-(4*a*t/T).^2).*(pi*t/T);
g = g_d./g_n;

% Becase of 0/0
g(1+ g_width*T/t_res) = 1-a+4*a/pi;

% Normalize
g = g*sqrt(t_res);

ret = g;